%global _basename skeuos-gtk
%global forgeurl https://github.com/daniruiz/%{_basename}
%global commit   095e06aa44c637af675850e421057c6f09b9f8d0
%global date     20240705
%forgemeta

Name:            %{_basename}-theme
Version:         2022.06.29
Release:         1%{?dist}
Summary:         Pretty simple theme inspired on material design
BuildArch:       noarch

# Automatically converted from old format: GPLv3+ - review is highly recommended.
License:         GPL-3.0-or-later
URL:             %{forgeurl}
Source:          %{forgesource}

BuildRequires:   make

Requires:        %{name}-light
Requires:        %{name}-dark

%global _description %{expand:
Skeuos is a GTK application theme inspired by the latest skeumorphic design trends,
by embracing the bevels, drop-shadows, and gradients most modern themes actively avoid}

%description %{_description}

This meta package contains complete Skeuos theme.

%files
%license LICENSE
%doc README.md CHANGELOG

#------------------------------------------------------------------

%package         light
Summary:         Skeuos Light GTK theme

%description     light %{_description}

This package contains the light themes.

%files           light
%{_datadir}/themes/Skeuos-*-Light*

#------------------------------------------------------------------

%package         dark
Summary:         Skeuos Dark GTK theme

%description     dark %{_description}

This package contains the dark themes.

%files           dark
%{_datadir}/themes/Skeuos-*-Dark*

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
#nothing

%install
%make_install

%changelog
* Thu Apr 24 2025 Hazel Bunny <hazel_bunny@disroot.org> 2022.06.29-1
- Initial package
